Package fr.gouv.vitam.logbook.common

# Class MessageLogbookEngineHelper

java.lang.Object
fr.gouv.vitam.logbook.common.MessageLogbookEngineHelper

public class MessageLogbookEngineHelper extends Object
Helper to get great process operation logbook key and message (outcome) depend on LogbookTypeProcess

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageLogbookEngineHelper(LogbookTypeProcess logbookTypeProcess)`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLabelOp(String stepOrHandler, StatusCode code, Object... args)`
  Get operation logbook message
  `String`
  `getLabelOp(String stepOrHandler, String transaction, StatusCode code, Object... args)`
  Get operation logbook message
  `String`
  `getOutcomeDetail(String stepOrHandler, StatusCode code)`
  Get operation logbook outcome detail (key)
  `String`
  `getOutcomeDetail(String stepOrHandler, String transaction, StatusCode code)`
  Get operation logbook outcome detail (key)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageLogbookEngineHelper

    public MessageLogbookEngineHelper(LogbookTypeProcess logbookTypeProcess)
    Default constructor
    Parameters:
      `logbookTypeProcess` - concerned logbook process type

- ## Method Details

  - ### getLabelOp

    public String getLabelOp(String stepOrHandler, StatusCode code, Object... args)
    Get operation logbook message
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `code` - of status
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the operation logbook message

  - ### getLabelOp

    public String getLabelOp(String stepOrHandler, String transaction, StatusCode code, Object... args)
    Get operation logbook message
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `transaction` - name
      `code` - of status
      `args` - list of extra argument to apply as MessageFormat.format(message, args)
    Returns:
      the operation logbook message

  - ### getOutcomeDetail

    public String getOutcomeDetail(String stepOrHandler, StatusCode code)
    Get operation logbook outcome detail (key)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `code` - of status
    Returns:
      the outcome detail (key)

  - ### getOutcomeDetail

    public String getOutcomeDetail(String stepOrHandler, String transaction, StatusCode code)
    Get operation logbook outcome detail (key)
    Parameters:
      `stepOrHandler` - step or handler name or full name
      `transaction` - name
      `code` - of status
    Returns:
      the outcome detail (key)